TrayIcon.MessageType (Java Platform SE 8 )
Keywords: java.awt.TrayIcon.MessageType class
Date: 2015-05-24

java.awt

## Enum TrayIcon.MessageType

- java.lang.Object
- - java.lang.Enum<TrayIcon.MessageType>
  - - java.awt.TrayIcon.MessageType

- All Implemented Interfaces:
    Serializable, Comparable<TrayIcon.MessageType>
  Enclosing class:
    TrayIcon

      public static enum TrayIcon.MessageType
      extends Enum<TrayIcon.MessageType>

  The message type determines which icon will be displayed in the caption of the message, and a possible system sound a message may generate upon showing.
  Since:
    1.6
  See Also:
    `TrayIcon`, `TrayIcon.displayMessage(String, String, MessageType)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR` An error message
    `INFO` An information message
    `NONE` Simple message
    `WARNING` A warning message

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TrayIcon.MessageType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TrayIcon.MessageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ERROR

          public static final TrayIcon.MessageType ERROR

      An error message

    - #### WARNING

          public static final TrayIcon.MessageType WARNING

      A warning message

    - #### INFO

          public static final TrayIcon.MessageType INFO

      An information message

    - #### NONE

          public static final TrayIcon.MessageType NONE

      Simple message

  - ### Method Detail

    - #### values

          public static TrayIcon.MessageType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TrayIcon.MessageType c : TrayIcon.MessageType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TrayIcon.MessageType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.